# This file created by conda-build 3.28.4
# meta.yaml template originally from:
# /__w/cudf/cudf/conda/recipes/cudf, last modified Tue Feb 13 14:45:02 2024
# ------------------------------------------------

package:
  name: cudf
  version: 24.02.01
source:
  path: /__w/cudf/cudf
build:
  ignore_run_exports:
    - libcudf
  ignore_run_exports_from: null
  number: '0'
  script_env:
    - AWS_ACCESS_KEY_ID
    - AWS_SECRET_ACCESS_KEY
    - AWS_SESSION_TOKEN
    - CMAKE_CUDA_COMPILER_LAUNCHER
    - CMAKE_CXX_COMPILER_LAUNCHER
    - CMAKE_C_COMPILER_LAUNCHER
    - CMAKE_GENERATOR
    - PARALLEL_LEVEL
    - SCCACHE_BUCKET
    - SCCACHE_IDLE_TIMEOUT
    - SCCACHE_REGION
    - SCCACHE_S3_KEY_PREFIX=cudf-linux64
    - SCCACHE_S3_NO_CREDENTIALS
    - SCCACHE_S3_USE_SSL
  string: cuda12_py310_240213_g33ffdf5b71_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_13
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_2
    - bzip2 1.0.8 hd590300_5
    - c-ares 1.26.0 hd590300_0
    - ca-certificates 2024.2.2 hbcca054_0
    - cmake 3.28.3 hcfe8598_0
    - cuda-cccl_linux-64 12.0.90 ha770c72_1
    - cuda-cudart 12.0.107 hd3aeb46_8
    - cuda-cudart-dev 12.0.107 hd3aeb46_8
    - cuda-cudart-dev_linux-64 12.0.107 h59595ed_8
    - cuda-cudart-static 12.0.107 hd3aeb46_8
    - cuda-cudart-static_linux-64 12.0.107 h59595ed_8
    - cuda-cudart_linux-64 12.0.107 h59595ed_8
    - cuda-driver-dev_linux-64 12.0.107 h59595ed_8
    - cuda-nvcc-dev_linux-64 12.0.76 ha770c72_1
    - cuda-nvcc-impl 12.0.76 h59595ed_1
    - cuda-nvcc-tools 12.0.76 h59595ed_1
    - cuda-nvcc_linux-64 12.0.76 hba56722_12
    - cuda-version 12.0 hffde075_2
    - gcc_impl_linux-64 11.4.0 h7aa1c59_5
    - gcc_linux-64 11.4.0 hfd045f2_2
    - gxx_impl_linux-64 11.4.0 h7aa1c59_5
    - gxx_linux-64 11.4.0 hfc1ae95_2
    - kernel-headers_linux-64 3.10.0 h4a8ded7_13
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libcurl 8.5.0 hca28451_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.5.0 hcb278e6_1
    - libgcc-devel_linux-64 11.4.0 h922705a_105
    - libgcc-ng 13.2.0 h807b86a_5
    - libgomp 13.2.0 h807b86a_5
    - libnghttp2 1.58.0 h47da74e_1
    - libsanitizer 11.4.0 h4dcbe23_5
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 11.4.0 h922705a_105
    - libstdcxx-ng 13.2.0 h7e041cc_5
    - libuv 1.47.0 hd590300_0
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4 h59595ed_2
    - ninja 1.11.1 h924138e_0
    - openssl 3.2.1 hd590300_0
    - rhash 1.4.4 hd590300_0
    - sysroot_linux-64 2.17 h4a8ded7_13
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.5 hfc55251_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - aws-c-auth 0.7.8 hcf8cf63_3
    - aws-c-cal 0.6.9 h5d48c4d_2
    - aws-c-common 0.9.10 hd590300_0
    - aws-c-compression 0.2.17 h7f92143_7
    - aws-c-event-stream 0.3.2 h0bcb0bb_8
    - aws-c-http 0.7.15 hd268abd_0
    - aws-c-io 0.13.36 hb3b01f7_3
    - aws-c-mqtt 0.10.0 hbafccad_1
    - aws-c-s3 0.4.6 h47b1690_0
    - aws-c-sdkutils 0.1.13 h7f92143_0
    - aws-checksums 0.1.17 h7f92143_6
    - aws-crt-cpp 0.25.0 hfa7cc67_4
    - aws-sdk-cpp 1.11.210 h0853bfa_5
    - bzip2 1.0.8 hd590300_5
    - c-ares 1.26.0 hd590300_0
    - ca-certificates 2024.2.2 hbcca054_0
    - cuda-cccl_linux-64 12.0.90 ha770c72_1
    - cuda-cudart 12.0.107 hd3aeb46_8
    - cuda-cudart-dev 12.0.107 hd3aeb46_8
    - cuda-cudart-dev_linux-64 12.0.107 h59595ed_8
    - cuda-cudart-static 12.0.107 hd3aeb46_8
    - cuda-cudart-static_linux-64 12.0.107 h59595ed_8
    - cuda-cudart_linux-64 12.0.107 h59595ed_8
    - cuda-nvrtc 12.0.76 hd3aeb46_2
    - cuda-python 12.3.0 py310h9f9f131_2
    - cuda-version 12.0 hffde075_2
    - cython 3.0.8 py310hc6cd4ac_0
    - dlpack 0.5 h9c3ff4c_0
    - exceptiongroup 1.2.0 pyhd8ed1ab_2
    - fmt 10.2.1 h00ab1b0_0
    - gflags 2.2.2 he1b5a44_1004
    - glog 0.6.0 h6f12383_0
    - gmock 1.14.0 ha770c72_1
    - gtest 1.14.0 h00ab1b0_1
    - icu 73.2 h59595ed_0
    - importlib-metadata 7.0.1 pyha770c72_0
    - importlib-resources 6.1.1 pyhd8ed1ab_0
    - importlib_resources 6.1.1 pyhd8ed1ab_0
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libabseil 20230802.1 cxx17_h59595ed_0
    - libarrow 14.0.1 hfb4d3a9_10_cpu
    - libarrow-acero 14.0.1 h59595ed_10_cpu
    - libarrow-dataset 14.0.1 h59595ed_10_cpu
    - libarrow-flight 14.0.1 h120cb0d_10_cpu
    - libarrow-flight-sql 14.0.1 h61ff412_10_cpu
    - libarrow-gandiva 14.0.1 hacb8726_10_cpu
    - libarrow-substrait 14.0.1 h61ff412_10_cpu
    - libblas 3.9.0 21_linux64_openblas
    - libbrotlicommon 1.1.0 hd590300_1
    - libbrotlidec 1.1.0 hd590300_1
    - libbrotlienc 1.1.0 hd590300_1
    - libcblas 3.9.0 21_linux64_openblas
    - libcrc32c 1.1.2 h9c3ff4c_0
    - libcudf 24.02.01 cuda12_240213_g33ffdf5b71_0
    - libcufile 1.5.0.59 hd3aeb46_1
    - libcufile-dev 1.5.0.59 hd3aeb46_1
    - libcurl 8.5.0 hca28451_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libevent 2.1.12 hf998b51_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_5
    - libgfortran-ng 13.2.0 h69a702a_5
    - libgfortran5 13.2.0 ha4646dd_5
    - libgomp 13.2.0 h807b86a_5
    - libgoogle-cloud 2.12.0 h5206363_4
    - libgrpc 1.59.3 hd6c4280_0
    - libiconv 1.17 hd590300_2
    - libkvikio 24.02.00 cuda12_240212_g1a2becd_0
    - liblapack 3.9.0 21_linux64_openblas
    - libllvm14 14.0.6 hcd5def8_4
    - libllvm15 15.0.7 hb3ce162_4
    - libnghttp2 1.58.0 h47da74e_1
    - libnl 3.9.0 hd590300_0
    - libnsl 2.0.1 hd590300_0
    - libnuma 2.0.16 h0b41bf4_1
    - libopenblas 0.3.26 pthreads_h413a1c8_0
    - libparquet 14.0.1 h352af49_10_cpu
    - libprotobuf 4.24.4 hf27288f_0
    - libre2-11 2023.06.02 h7a70373_0
    - librmm 24.02.00 cuda12_240212_g09b406c1_0
    - libsqlite 3.45.1 h2797004_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-ng 13.2.0 h7e041cc_5
    - libthrift 0.19.0 hb90f79a_1
    - libutf8proc 2.8.0 h166bdaf_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libxml2 2.12.5 h232c23b_0
    - libzlib 1.2.13 hd590300_5
    - llvmlite 0.42.0 py310h1b8f574_1
    - lz4-c 1.9.4 hcb278e6_0
    - ncurses 6.4 h59595ed_2
    - numba 0.59.0 py310h7dc5dd1_1
    - numpy 1.26.4 py310hb13e2d6_0
    - nvcomp 3.0.5 h10b603f_0
    - openssl 3.2.1 hd590300_0
    - orc 1.9.2 h4b38347_0
    - packaging 23.2 pyhd8ed1ab_0
    - pathspec 0.12.1 pyhd8ed1ab_0
    - pip 24.0 pyhd8ed1ab_0
    - protobuf 4.24.4 py310h620c231_0
    - pyarrow 14.0.1 py310hf9e7431_10_cpu
    - pyproject-metadata 0.7.1 pyhd8ed1ab_0
    - python 3.10.13 hd12c33a_1_cpython
    - python_abi 3.10 4_cp310
    - rdma-core 50.0 hd3aeb46_0
    - re2 2023.06.02 h2873b5e_0
    - readline 8.2 h8228510_1
    - rmm 24.02.00 cuda12_py310_240212_g09b406c1_0
    - s2n 1.4.1 h06160fa_0
    - scikit-build-core 0.8.0 pyh4af843d_0
    - setuptools 69.0.3 pyhd8ed1ab_0
    - snappy 1.1.10 h9fff704_0
    - spdlog 1.12.0 hd2e6256_2
    - tk 8.6.13 noxft_h4845f30_101
    - tomli 2.0.1 pyhd8ed1ab_0
    - typing-extensions 4.9.0 hd8ed1ab_0
    - typing_extensions 4.9.0 pyha770c72_0
    - tzdata 2024a h0c530f3_0
    - ucx 1.15.0 h6d2d1ec_3
    - wheel 0.42.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zipp 3.17.0 pyhd8ed1ab_0
    - zstd 1.5.5 hfc55251_0
  run:
    - __glibc >=2.17,<3.0.a0
    - cachetools
    - cuda-cudart >=12.0.107,<13.0a0
    - cuda-nvcc-impl
    - cuda-nvrtc
    - cuda-python >=12.0,<13.0a0
    - cuda-version >=12,<13.0a0
    - cuda-version >=12.0,<13
    - cupy >=12.0.0
    - fsspec >=0.6.0
    - libcudf =24.02.01
    - libcufile >=1.5.0.59,<2.0a0
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - numba >=0.57
    - numpy >=1.21,<1.25
    - nvtx >=0.2.1
    - packaging
    - pandas >=1.3,<1.6.0dev0
    - protobuf >=4.24,<5.0a0
    - pyarrow >=14.0.1,<15.0a0
    - pynvjitlink
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
    - rich
    - rmm >=24.2.0,<24.3.0a0
    - typing_extensions >=4.0.0
test:
  imports:
    - cudf
  requires:
    - cuda-version =12.0
about:
  home: https://rapids.ai/
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: cuDF GPU DataFrame core library
extra:
  copy_test_source_files: true
  final: true
